What is ScrewDrivers?

ScrewDrivers is a remote printing solution for Windows operating systems. The focus of the ScrewDrivers software is to provide a fast and reliable printing option for your users while saving you from the hassle of having any print drivers on the terminal server. We provide this through a unique method that mimics the printer settings on the server and provides an experience that is seamless to the user and application. Compression is used to send information from the server to the client, making the process faster than normal remote printing.

ScrewDrivers is engineered for remote corporate Windows application delivery environments. Whether you’re using Terminal Services, Citrix, VDI, or XP Remote Desktop, ScrewDrivers ensures the user that the correct printer and printer attributes are ready to handle complex remote printing requests. Other solutions use programs that result in an overly complicated management system that confuse rather than clarify remote printing to the user. Along with these complexities, these other print solutions sometimes use various formats such as EMF or PDF to achieve printing. ScrewDrivers can overcome the printing limitations of these other solutions regardless of the application or printer driver.

ScrewDrivers is such a simple plug n’ play solution, you can install it and forget that printer problems ever existed. With configuration and management this simple, you can provide users with problem-free remote desktop printing from any application to any printer, using any printer setting, all while going about your day or doing nothing at all.

Supported Environments: Citrix XenApp (aka Citrix Presentation Server), Citrix XenDesktop, VMware VDI, Microsoft Windows Terminal Services, Microsoft XP Remote Desktop

Features:

Prints to any available local client printer without administrator intervention

triMeta format print job (TMF > EMF)

32 and 64-bit compatibility

Seamless print streaming

Windows RDC and Citrix ICA Client support

Benefits:

Eliminate printer driver management for Citrix and Terminal Service

Retains familiar printer names

Increases print speed

Decreases print bandwidth w/compression, streaming, and bandwidth control

Reduces printer support cost and effort

Boosts productivity and organization by providing seamless printing

Increases server performance and reliability by eliminating print spooler crashes

Speeds printing by compressing printer files

If you would like more information on how ScrewDrivers can help terminal printing problems, please contact us.

Download your free trial software now!

©2008. All Rights Reserved.


What's new in this release of ScrewDrivers?

Change History

4.2.01.44 (7/30/2008)

- Fixed - Server CPU spike when client gets WININICHANGE during login
- Fixed - Suggest/Force configurations for Export
- Added - Hook for online license activation (not yet available on triCerat server!)
- Fixed - handle of reconnect when user token is null
- Fixed - client installer updates for ica
- Added - improved handling of brushes
- Fixed - text ouput when client has Generic/Text only printer (common for receipt printers)
- Fixed - updated client install to show up for All Users in Add/Remove programs
- Fixed - control panel crash when spoof default is checked but edit field is empty

4.1.09.39 (6/27/2008)

- Fixed - Seamless Windows breaks during SD client install

4.1.09.36 (5/29/2008)

- Fixed - BitBlt with no source or brush

4.1.08.34 (4/15/2008)

- Fixed - handle incomplete session termination (rest during disconnect)
- Fixed - font scaling when page x/y resolution not symmetric
- Fixed - Force/Deny GUI logic
- Fixed - Client control panel CacheMethod in HKCU
- Fixed - handling return code for color caps on HP all in one's
- Added - support for VMWare VDM rdp client plugin setting
- Added - support for Citrix client install as non-admin

4.1.07.32 (3/13/2008)

- Added - Support for Brushes

4.1.07.28 (1/24/2008)

- Fixed - bitmap output when a black and white bitmap is sent as 24bpp

4.1.07.27 (1/11/2008)

- Added - First public release build for Windows 2008 Support
- Fixed - User style lines
- Fixed - Line Attribute state change error
- Fixed - graceful handling of negative resolutions from client Printers
- Fixed - made "export to client" not available for selection when using Print server
- Added - Allow client cache method to be stored in HKCU if users don't have access to HKLM
- Fixed - install_ica edits HKCU citrix keys for 10.x and later clients

4.1.06.05 (10/31/2007)

- Fixed - delay when "Wait for Printers" is selected but no printers are set to build
- Fixed - actions in print dialog
- Fixed - extremely small font sizes not printing
- Fixed - clean up session key when no client installed
- Fixed - GDI resource leak
- Added - Allow override of Print Job Creator/Printing User verfication

4.1.04.98 (9/18/2007)

- Fixed - error resetting line size in DrvLineTo rendering

4.1.04.95 (8/20/2007)

- Fixed - raw passthrough error

4.1.03.94 (8/6/2007)

- Added - "Author" and "Printer" fields to printjob stats output log
- Fixed - Memory leak in PDF output
- Added - Per Printer extended configurations
- Fixed - v4 Client crash when printing from v3 server
- Fixed - set edit controls in control panel applet to dirty when info changes
- Added - verbosity output to install_ica
- Fixed - crash in PDF Export file selection

4.1.02.90 (5/23/2007)

- Fixed - Resolution selection for some printers (problems as of 4.0.17)
- Fixed - Restore old default printer
- Added - Naming scheme options for length of name and space removal
- Fixed - session state crash in SD for XP RDC
- Added - Security check for print jobs going to wrong printer/session/user
- Added - ForceForeground flag to force second print dialog to the front
- Added - sdclient.exe to client installs for automating printer query
- Fixed - RAW data printing error
- Added - additional communication messages to print server agent
- Added - special flag for workaround of problems in OKI printers

4.1.01.85 (5/4/2007)

- Changed - reduced bit depth of non-color printouts
- Added - ability to add separator page through ScrewDrivers instead of system level
- Fixed - embedded font bug in Print Server Agent
- Fixed - custom naming scheme problem in Print Server objects
- Changed - optimized default data streaming parameters
- Fixed - Media Type selection

4.0.17.80 (4/10/2007)

- Fixed - indexed resolution selection

4.0.17.79 (4/9/2007)

- Added - export (pdf/bmp) and actions are now available

4.0.16.77 (3/12/2007)

- Fixed - font query issue on Win9x clients
- Fixed - memory leak in driver

4.0.16.76 (3/1/2007)

- Fixed - client crash when job is deleted before completed
- Fixed - collate setting not taking effect on some print jobs
- Fixed - crash on Windows Vista during RDP connection due to tray icon bug
- Fixed - scaled image output issue

4.0.15.73 (1/31/2007)

- Fixed - (SDPS) refresh owner's assignments from db
- Fixed - check printer type on delete

4.0.15.71 (1/29/2007)

- Added - server options to force advanced spooler settings for SD printers

4.0.15.70 (1/24/2007)

- Fixed - Windows 98 Client plugin signals missing dll function

4.0.15.69 (1/22/2007)

- Fixed - Reset device properly on page state change
- Fixed - Licensing error in 4.0.15.68

4.0.15.68 (1/22/2007)

- Fixed - graphics handle set to null incorrectly on change of state
- Fixed - local printers incorrectly deleted on passthrough Server
- Fixed - dynamic add/remove of network printers from the client
- Fixed - crash related to threading of multiple print jobs on the client
- Fixed - misc updates related to Simplify Suite integration
- Added - Restore old default printer on disconnect of session

4.0.15.60 (1/8/2007)

- Added - special server log for recording print jobs, LogPrintJob

4.0.14.57 (server-only) (12/8/2006)

- Fixed - SharePrinters registry key

4.0.14.56 (12/7/2006)

- Added - Preliminary support for Windows Vista RDP6 client (and RDP6 client running on older OS's)
- Added - Client uses HKCU when HKLM access is denied
- Fixed - PS Passthrough printing sometimes incomplete
- Fixed - v4 printers default to "print while spooling"
- Fixed - Pre-Render text (added addt'l option to only pre-render embedded)
- Added - dwSharePrinters registry key
- Added - Error Message box when client can't create a virtual channel
- Added - Launch Activation web site from server license dialog
- Added - Increased print job wait param
- Fixed - XP RDC MSI installer missing control panel applet
- Added - modified license agreement in install
- Fixed - text which doesn't show up correctly in some gray shaded boxes
- Added - Printer UI options for Extended tab to server control panel applet
- Fixed - bitmaps which print upside down
- Fixed - GDI leak
- Fixed - backward compatibility issue when printing from SDv2 (SD fXP)
- Fixed - memory overflow when printing from v2/v3 to v4 client
- Fixed - gray thatch pattern background became solid black background
- Fixed - ResetDC didn't update graphics state (caused output issues on jobs switch page size/resolution mid-job)

4.0.13.41 (10/6/2006)

- Fixed - v3 backward compatibility issue (forms didn't query correctly)
- Fixed - client crash during some printjobs
- Added - compatible with Simplify Suite 4.5 release
- Fixed - printout sized wrong in certain cases of PDEV updates
- Fixed - v4 client backward compatibilty with v3 - caused incorrect sizing on some printers
- Fixed - default printer monitoring not working
- Fixed - add/remove printer monitoring not working
- Added - CacheMethod for passthrough servers (so printer info is not cached on dynamic printer names)
- Added - additional checks for printer availability during Query

4.0.12.32 (9/8/2006)

- x64 release
- minor install updates

4.0.12.31 (9/1/2006)

- Fixed - lockup in sdnotify on disconnect/reconnect in XP RDC Version
- Fixed - install of ICA plugin fails on Windows 9x machines
- Fixed - incorrent output of text state (bold/italic) in some documents
- Fixed - scaling issue in some excel documents

4.0.11.24 (8/23/2006)

- Added - additional client side version logging
- Added - additional validity checks of extended DEVMODE information
- Added - pass "Enable advanced printing features" setting from client to server
- Fixed - buffer overrun in client v3 backward compatibility
- Fixed - incorrect text output size in some documents

4.0.10.23 (8/8/2006)

- Fixed - misc memory leaks in client plugin (caused occasional disconnect of client)
- Fixed - failure to unregister spooler notify on client
- Fixed - default printer names limited to 128 characters
- Fixed - install of RDP plugin fails on Windows NT4 clients

4.0.09.20 (7/14/2006) (Gold)

- Fixed - spooler crash when Blt'ing without a brush or source surface
- Fixed - crash on print from v3 printer to v4 client
- Fixed - recapture default printer fails for regular users
- Fixed - no readme in x64 client MSI
- Fixed - refresh client machine name on session reconnect

4.0.08.17 (7/11/2006)

- Fixed - port name conversion to session missed first significant digit
- Fixed - x64 server install didn't set security
- Fixed - license and readme didn't display correctly in x64 server install
- Fixed - compatibility and notify flags messed up in client
- Fixed - failure to build printers during some connections
- Fixed - default client install disables v2 backward compatibility
- Fixed - set security on client "Simplify Printing" key correctly
- Fixed - set security on client "ScrewDrivers Client v4" directory correctly
- Fixed - set security on server control panel correctly
- Fixed - control panel copied to correct directory in client MSI
- Fixed - x64 client control panel changes settings in wow6432node of registry
- Fixed - changed client control panel to allow setting of "notify default" on 9x os's
- Fixed - added install_ica to installers, instead of using installscript engine

4.0.07.14 (7/2/2006)

- Fixed - improved rasterop conversion to PatBlt
- Fixed - removed fontset redundancy on server and client
- Fixed - load WFAPI64 on x64 machines w/citrix, not WFAPI!
- Fixed - put 0x00A0 character back in, except on AnsiOnly printers

4.0.06.09 (6/10/2006)

- Fixed - embedded font list not saving during session
- Fixed - fixed mem leak freeing alternative font name in driver
- Fixed - launch process util from sdnotify before/after printers are built
- Fixed - launch process util from sdnotify before/after printers are deleted
- Fixed - angled text printing out incorrectly
- Fixed - crash on clientside during print (mstsc.exe error)
- Fixed - crash on client when connecting to non-sd server (mstsc.exe error)
- Fixed - failure of v4 client to build v3/v2 printers over ICA
- Fixed - failure of v4 client to send default printer for v3/v2 query over ICA
- Fixed - update to latest citrix sdk versions
- Fixed - add logging of citrix version on server
- Fixed - reconnect does not retry connection to client

4.0.05.03 (5/16/2006)

- Fixed - winlogon error when no client is installed (happens on disconnect?)
- Fixed - pop license nag screen even when license is expired/invalid
- Fixed - pop license nag screen on reconnect
- Fixed - rendering new page doesn't reset device context

4.0.04.01 (5/1/2006) (Final RC)

!!First release to general public!!


Client Configuration

There is no configuration required for a user to build their printers in a terminal session. As long as the Screwdrivers client is installed on the connecting workstation, and the Screwdrivers server is installed on the terminal server, then you users will build their printers.

The Screwdrivers client is packaged with a control panel applet that allows for detailed configuration of what printers are made available to the Terminal Server. It is not necessary to provide your users with this applet, but it can be extremely helpful to a power user that connects to multiple environments. It is also possible to deploy registry settings to your clients which mimic settings available in the applet (and you can therefore automate the configuration for some users).

You can get to the ScrewDrivers client control panel by going to Control Panel->ScrewDrivers Client v4.

You may need to change the Control Panel to Switch to Classic View.

See Also

Simplify Printing: General | Printers | Connection


General

Session Options

The following options require the ScrewDrivers to be set to enable the appropriate Monitor client for option(s). Additionally, the server must be Windows 2000 Server or newer.

Notify active sessions when the local default printer changes: Check to send notification to the server when any information about the default printer changes, including if another printer is set as default on the local client machine. (Only for Windows 2000 clients and above)

Notify active sessions when a printer is added to the workstation: This option will update the server if any new printers are added to the local client machine during a session. (Only for Windows 2000 clients and above)

Notify active sessions when a printer is removed from the workstation: This option will update the server if any new printers are removed from the local client machine during a session. (Only for Windows 2000 clients and above)

Spoof the Default Printer: This option will allow you to have a different default printer on the terminal session than your default printer on the local machine. Select the printer from the list that you would like to have as your default on the terminal session.

Force print jobs to print in order received: This option will force the local print spool to process print jobs in the order submitted on the server, rather than printing spooled documents first.

Compatibility Options

Disable ICA Plugin: With this option checked, printers will not build over the ICA protocol.

Disable ICA Plugin compatibility with ScrewDrivers v4 Servers: ScrewDrivers will not build printers on a ScrewDrivers v4 server over the ICA protocol.

Disable ICA Plugin compatibility with ScrewDrivers v3 Servers: ScrewDrivers will not build printers on a ScrewDrivers v3 server over the ICA protocol.

Disable ICA Plugin compatibility with ScrewDrivers v2 Servers: ScrewDrivers will not build printers on a ScrewDrivers v2 server over the ICA protocol.

Disable RDP Plugin: With this option checked, printers will not build over the RDP protocol.

Disable RDP Plugin compatibility with ScrewDrivers v4 Servers: ScrewDrivers will not build printers on a ScrewDrivers v4 server over the RDP protocol.

Disable RDP Plugin compatibility with ScrewDrivers v3 Servers: ScrewDrivers will not build printers on a ScrewDrivers v3 server over the RDP protocol.

Disable RDP Plugin compatibility with ScrewDrivers v2 Servers: ScrewDrivers will not build printers on a ScrewDrivers v2 server over the RDP protocol.

Printer Data Cache Method

Cache to Registry: Printer Data is stored in registry, to be sent to server at logon.

Do Not Cache (Recommended for Passthrough Servers): Printer Data is not cached. Since Printer Data is not cached, ScrewDrivers will Query printers at logon, which results in slower printer creation. However, this option is recommended for Passthrough Servers, such as when users nest multiple remote sessions.

See Also

Simplify Printing: Client Configuration


Printers

Available Printers: The list of printers that can be created in a terminal session. Available Printers build in alphabetical order.

Preferred Printers: The list of printers that will be created in a terminal session before the printers from the available printers list. Preferred Printers can be sorted, and printers build in order from top to bottom.

Denied Printers: These printers will not be created in the terminal session.

Query Printers: This button will update the cached printer information for all printers on the local computer. It is recommended to use this after making any printer changes.

See Also

Simplify Printing: Client Configuration


Printer UI - Extended

The Printer UI - Extended tab is used to assign Printer Specific Settings. Configurations must be applied before the remote session establishes. These client settings can be denied, suggested, or forced by the server.

Available Printers: A list of client printers with separate Printer Specific Settings. A user will select a print from this list and modify the Extended options below.

Extended Options - Print Job Settings

Display Second Printer Dialog: This option will display the client's Printer Dialog when printouts begin to spool on the client. This will allow the user to use advanced printing features such as collating, hole-punching, stapling, etc.

Output Separator Page: This will print a separator page between print jobs containing information about the print job. This is often used in environments when a large number of users share a single printer, to allow the users to easily identify their printouts.

Extended Options - Print Job Rendering

Print-As-Image: This spools and renders the entire documents in an uncompressed BMP format, allowing the user to quickly resolve graphic, layout, and font output issues. The BMP gets compressed before traveling through the virtual channel, although it was consume large amounts of bandwidth.

Font Embedding:

Embed All Fonts: The default setting, all fonts not available on the client will be sent to the client with the print job. These fonts are temporary and automatically removed.

Pre-Render Embedded: Text for fonts not available on the client will be sent as images to the client, and automatically integrated back into the file.

Pre-Render All: All text will be sent as images to the client and automatically integrated back into the file.


Connection

The bandwidth control is for use in reducing the frequency of packets that ScrewDrivers is passing to the client workstation. A client bandwidth control cannot override the server bandwidth control. This option is rarely used and only requires configuration for extremely low bandwidth situations (ex. 14.4 or 28.8 modem users).

Max Rate (in bits per second): Specifies the rate in bits per second for RDP or ICA sessions.

See Also

Simplify Printing: Client Configuration


General

Printer Creation: Use the radio buttons to select the number of printers you would like a user to have.

Extended Settings: These options provide different features that can be useful in some environments.

Set the client's default printer as their default on the server: Specifies that the client workstation default printer will be the same default printer in the user’s session.

Allow default printer spoofing: Specifies whether printer spoofing is turned on or off, this dictates whether or not the client workstation can use this option. Spoofing is where the user specifies a printer to be set as the default in their session that is not the actual default defined on the client workstation. This works well for a situation in which a user works locally and through a session, but requires a different printer in each case.

Recapture the default printer after __ seconds: If Set the client's default printer as their default on the server, then this option will set the default printer again after __ seconds. This prevents traditional Terminal Server and/or Citrix printers becoming the default.

Monitor client for changes to default printer, and reflect on server: Specifies whether default printer monitoring is turned on or off, this dictates whether or not the client workstation can use this option. Default monitoring makes it possible for the user to change the default printer on the client workstation while in a session and have the default change reflect into that active session. (Only for Windows 2000 clients and above)

Monitor client for new printers, and add to server: With this option checked, any printer added to the local client computer will be added to the terminal session. (Only for Windows 2000 clients and above)

Monitor client for removed printers, and remove from server: With this option checked, any printer deleted from the local client computer will be removed in the terminal session. (Only for Windows 2000 clients and above)

Delete printers on session disconnect, add on reconnect: Specifies that ScrewDrivers with build and breakdown printers on disconnect/reconnect, as well as logon/logoff.

Wait to complete login until printers are created, at most __ seconds: Specifies that ScrewDrivers will not allow the login process to continue until all printers have been built. This option is not limited to, but most commonly used with Citrix published applications to insure that the printers are built before the application launches.


Printer Naming

Naming Scheme

Determines how ScrewDrivers printers are named on the server.

Select from the options here to change how the printers will display to your users.

Custom: Allows administrators to specify unique naming conventions for ScrewDrivers printers. For certain applications it maybe recommended to use the RDP naming convention to automate printer configurations within the application. This can be accomplished with Custom name schemes.

CAUTION: Printers must have unique names on the server. It is recommended to not remove the SESSION ID from the printer name. If you do remove SESSION from the printer name then verify the other unique variables are included such as USERNAME or MACHINE. Also without SESSION, a single user should not launch multiple sessions on a sinle server.

Modifications

Limit Name Component Length: This setting can limit the length of each part of the printer name. For example, the printer name can be set to 0 for an unlimited length, while the username is set to 6 for a maximum of 6 characters.

For client's network printer name, replace "on" with: Specify the character that will replace the word "on" in any printer names. This is mainly used for network printers.

Replace Backslashes (\) in the printer name with: Replaces each backslash in a printer name with the character specified. For example, Novell printers include backslashes in the printer name which are not supported by Windows.

Replace Space ( ) in the printer name with: Replaces each space in a printer name with the character specified. This setting can be used allow compatibility for legacy applications.


PrinterUI - Extended Options

This tab allows the administrator to control the Extended Options user interface for the ScrewDrivers driver. The four Extended Options can be set to Deny, Force, and Suggest. Deny will grey-out and prevent access to a specific option. Force will grey-out and force the option to be enabled. Suggest sets a specific default option, but the user can override the suggested option.

Do not display the Extended Options tab: This allows the administrator to remove the Extended Options UI from the ScrewDrivers Printing Preferences.

Extended Option - Print Job Settings

Second Print Dialog: The second print dialog is the client print spooler dialog. By default, the second print dialog does not display, but this option should be enabled to allow users to perform advanced printing functions, such as stapling, booklet printing, hole-punching, etc.

Separator Page: This option will printout an additional page containing information about the print job. The information on the separator page includes, but not limited to, the user who submitted the print job.

Extended Options - Print Job Rendering: These options are primarily used as work-around solutions for output issues problems to font, scaling, and graphical issues.

Print-As-Image: Converts the printout into a BMP, sends it to the client, and the client prints the BMP seamlessly. Resolves problems all output issues, but uncompressed printing which uses a lot of bandwidth.

Font Embedding

Embed All Fonts: The default setting, all fonts not available on the client will be sent to the client with the print job. These fonts are temporary and automatically removed.

Pre-Render Embedded: Text for fonts not available on the client will be sent as images to the client, and automatically integrated back into the file.

Pre-Render All: All text will be sent as images to the client and automatically integrated back into the file.


Connection

The bandwidth control is for use in reducing the frequency of packets that ScrewDrivers is passing to the client workstation. This option is rarely used and only requires configuration for extremely low bandwidth situations (ex. 14.4 or 28.8 modem users).

Max Rate (in bits per second): Specifies the rate in bits per second for RDP or ICA sessions.

Allow users to override these settings on their local client control panel applet. (Only allows an override to a LOWER bandwidth usage): Specifies that a user can control the rate from the client workstation.


Denial

Deny creation of the client's local printers: This option prevents all locally attached printers from creating.

Deny creation of the client's network printers: This option prevents all network printers from creating.


triCerat License Entry

This tab is used to license the product. ScrewDrivers installs include 30-day trials. The number of days remaining in the trial will display in this tab.

Machine ID: An 8-digit hexadecimal string that uniquely identifies your server. Machine IDs changes are Computer Name and Windows Product ID. This value is typically static but changes if one of the settings alters the Machine ID and consequently makes the ScrewDrivers Activation Code invalid.

Serial Number: A unique product serial number is provided to the customer after purchasing ScrewDrivers.

Activation Code: A code provided by triCerat Support that licenses ScrewDrivers for the unique Machine ID and Serial Number.

Activate: After entering Serial Number and Activation Code, click this button to activate ScrewDrivers.

Online Activation: A hyperlink to triCerat's webpage for license activations, reactivations, and upgrades.


Advanced

Every Windows print driver includes an Advanced tab where printing can be optimized.

Spool Options

Spool print documents so program finishes printing faster: This option instructs Windows to spool printed documents to the print server's specified spool directory where they are despooled to the printer. This option should be selected because it provides the quickest return of application control to the user and doesn't have any negative performance impacts.

Start printing after last page is spooled: This option will wait until a job completely spools prior to sending it to the client.

Start printing immediately: This option will begin despooling to the printer immediately after it begins queueing. This option is generall preferred because it provides both a quick return of application control and the fastest printing of documents.

Print directly to the printer: The alternative to "Spool print documents", this option instructs Windows to send documents directly to the printer rather than queueing them to spool directory. It is generally recommended to not select this option in most environments because it causes significant delay in the return of application control.

Printing Options

Print spooled documents first: This option instructs the Windows print spooler to favor documents that have completed spooling over those that are still in the process of spooling. If no documents are completely spooled, the spooler favors larger spooling documents over smaller ones. This option provides the best overall printer efficiency. When this is disabled, the print spooler prioritize the printing of documents based on their priorities.

Advanced Printing Features This option controls EMF spooling. For most drivers this setting is left on to allow faster application return time, but for ScrewDrivers this option has little influence over application return time because ScrewDrivers utilizes the RAW data and converts it into triMetaFile (TMF).

Use client settings: References the client's Enable advanced printing features option for each printer.

Force advanced printing features to be enabled for all printers: Enables Advanced Printing Features for the ScrewDrivers driver on the server.

Force advanced printer features to be disabled for all printers: Disables Advanced Printing Features for the ScrewDrivers driver on the server.


Printer UI - Export

This tab allows the administrator to control the Export user interface for the ScrewDrivers driver. Export functions allow the user to save the document as a PDF or BMP to the client and/or server. The Export options can be set to Deny, Force, and Suggest. Deny will grey-out and prevent access to a specific option. Force will grey-out and force the option to be enabled. Suggest sets a specific default option, but the user can override the suggested option.

Do not display the Export tab: This option removes the Export tab from the ScrewDrivers Printing Preferences.

Export

Print Method: The two Print Methods allowed are Print Normally and Export to File. Print Normally will process the print job normally, physically printing out the document. Export to File will not print the document, rather save it to the client or server.

Save as Type: The two file types allowed are PDF and BMP.

Deny export to server: This disables the Export function on the server.

Save Mode: The three save modes are Do Not Save, Display Save Dialog, Use Input Pathname. The admin can Force, Deny, or Suggest these modes to the user.

Destination: This field is the path for Use Input Pathname. The Pathname can be a directory or filename.pdf or filename.bmp

If File Exists: This feature only runs if the Destination field includes filename.ext and the file already exists. The four options for If File Exists are Overwrite, Prompt, Cancel, and Append. The admin can Force, Deny, or Suggest these options to the users.


Printer UI - Action

The action function can be used to tie executable to ScrewDrivers print functions on the client and/or server. This feature is rarely used, but can be advantageous in environments where the user performs repetitious actions after printing.

Do not display the Action Tab: This option removes the Action User Interface tab from the client's driver interface on the server.

Launch Server Process: Used to Force, Suggest, Deny the Action function on the server.

Path: Use this to specify the application you want to function hook.

Arguments: Use this field to send arguments and switches to the process.

Open Server Export: This option will open exported PDFs and BMPs from the ScrewDrivers Export function.

Launch Client Process: Used to Force, Suggest, Deny the Action function on the client.

Path: Use this to specify the application you want to function hook.

Arguments: Use this field to send arguments and switches to the process.

Open Server Export: This option will open exported PDFs and BMPs from the ScrewDrivers Export function.


Activating ScrewDrivers

ScrewDrivers™ Product Activation
ScrewDrivers Server v4 is activated from the triCerat License Entry tab in the ScrewDrivers v4 Control Panel. If you have not yet installed ScrewDrivers Server v4 then please take the proper steps to install. Every ScrewDrivers Servers has a unique Machine ID, Serial Number, and Activation Code.

Machine ID: An 8-digit hexadecimal string that uniquely identifies your server. Machine IDs changes are Computer Name and Windows Product ID. This value is typically static but changes if one of the settings alters the Machine ID and consequently makes the ScrewDrivers Activation Code invalid.

Serial Number: A unique license that represents the product provided by triCerat within 4 United States EST business hours of ordering. Each version utilizes different serial numbers. Multiple servers cannot use the same serial number.
Activation Code: A string that activates a specific Serial Number for a specific Machine ID. For a new license, this is the unknown value you needed to activate ScrewDrivers.

triCerat has two forms for activation requests:
Product Activation: http://www.tricerat.com/activate/index.php - Use this form for automatic activations and reactivations.
Product Secondary Reactivation: http://www.tricerat.com/activate/index.php - Use this form for manual reactivations.

Please complete the form to the fullest. Place you Serial Number and Machine ID in the spaces provided and click Activate. You maybe prompted to add the contact and/or company information to our database. Select Add for each request. After supplying the appropriate information the website displays the Serial Number, Machine ID, and Activation Code. You can save this information as a PDF.

US Support: If activation is unsuccessful the contact triCerat support at 800.582.5167 x3 or email support@tricerat.com. Please take screenshots off associated errors and have your Machine ID and Serial Number handy.

International Support: International customers can contact triCerat support with US 1.410.715.4226 or UK +44 (0) 1494-616102. International support e-mails can be sent to support.emea@tricerat.com.

Common Errors:
Verify no spaces are before or after the Serial Number and Activation Code.
32bit and 64bit Serial Numbers are not interchangeable. You must contact triCerat about upgrade or downgrade of Serial Numbers.


Configuring the ScrewDrivers Server

The purpose of this document is to familiarize administrators with configuring ScrewDrivers for production environments. ScrewDrivers works with the default settings but the software can be customized to work more efficient, turn on additional features, etc.

In the General tab you want to specify Printer Creation and in the Printer Naming tab you can customize the name scheme of ScrewDrivers printers. You may want to explore the Extended Settings in the General tab specifically the Monitor client for... options.

After ScrewDrivers is deployed it is recommended to disable ICA and/or RDP printer mapping, but if you have users that need this, then you may want to some uninstall drivers from the terminal server. Remember, the goal of ScrewDrivers is to reduce driver management and spooler crashing on the terminal servers. See the link below for documentation on this process.

If you leave other print solutions on then you want to enable Recapture the default printer, and possibly increase the time period if it does not work 100%.

ICA Environments

If you publish applications then you want to enable Wait to complete login until printers are created. This will delay the users' logins until the ScrewDrivers printers are created which is essential for certain applications.

RDP Environments

If you have users connect through a webportal then refer to the RDP Webportal document below.

If using SSL VPN device(s) then refer to ScrewDrivers for SSL VPN with RDP below.

See Also

Simplify Printing: Disable Windows or Citrix Printers | RDP Webportal Configuration | ScrewDrivers for SSL VPN with RDP


RDP Webportal Configuration

For RDP webportals you must edit the website to allow the ScrewDrivers DLL to passthrough. This is required for all 3rd-party device drivers such as ScrewDrivers.

To enable the use of Screwdrivers through the RDP web interface:

1. Open up the "default.htm" page in a text editor of your choice. The default location for the "default.htm" page is on the webserver in the following directory: C:\inetpub\wwwroot\tsweb\default.htm

Note: The RDP web interface could be another file... if you are unsure then check IIS.

2. Find the section called "'Device redirection options". It is typically located around half-way through the page. A quick method of doing this is to search for the word "AdvancedSettings2". This particular word is only located under the "'Device redirection options" section and therefore the search will take you right where you need to be.

Here is the "'Device redirection options" snippet of code before you make the change required for the Simplify Printing v2 product.

'Device redirection options
MsRdpClient.AdvancedSettings2.RedirectDrives = FALSE
MsRdpClient.AdvancedSettings2.RedirectPrinters = TRUE
MsRdpClient.AdvancedSettings2.RedirectPorts = FALSE
MsRdpClient.AdvancedSettings2.RedirectSmartCards = FALSE

*The TRUE or FALSE values may differ in your environment.

3. Add the following line of code at the end of the "'Device redirection options" section.

MsRdpClient.AdvancedSettings.PluginDlls = "sdrdp5.dll"

After you are finished, the "'Device redirection options" should look as follows.

'Device redirection options

MsRdpClient.AdvancedSettings2.RedirectDrives = FALSE
MsRdpClient.AdvancedSettings2.RedirectPrinters = TRUE
MsRdpClient.AdvancedSettings2.RedirectPorts = FALSE
MsRdpClient.AdvancedSettings2.RedirectSmartCards = FALSE
MsRdpClient.AdvancedSettings.PluginDlls = "sdrdp5.dll"

If two or more DLLs need to passthrough then separate the DLLs with commas:

MsRdpClient.AdvancedSettings.PluginDlls = "sdrdp5.dll, second.dll, third.dll, etc.dll"


Deploy the ScrewDrivers Client

There are a few options for deploying the Screwdrivers client, depending on how the workstations exist in the environment.

Manual Install

For smaller environments, having the administrator manually install the Screwdrivers client on each workstation may be the easiest option. The install is quick and requires no configuration on the client side to have it start working. Please note, however, if you use Microsoft Terminal Services, you will need to take one additional step to make sure everything will work when you users login. To read more about this, see RDP Client Troubleshooting.

Deploy Client Through Webpage

There are many options for deploying the Screwdrivers client through a webpage. The first and most basic option is to setup a link on a webpage and have your clients install the Screwdrivers client manually. Another option, one which will install silently after the user confirms to start the install, is to deploy through an ActiveX control on a webpage.

Finally, for Citrix environments, there are a few packages offered by triCerat that take the ICA clients from Citrix and add a silent Screwdrivers client install to the end. You can find these packages on the client deployment page under sections 2 (ICA Client MSI), 4 (ICA Web Client CAB), and 5 (ICA Web Client MSI).

Deploy Through Group Policy

The best option for environments where all clients are connecting from workstations on the same domain is to deploy through Group Policy. Instructions on how this is accomplished can be found under the Deploy through Group Policy topic.

See Also

ScrewDrivers Client Deployment Packages

Simplify Printing: Deploy through a link on a webpage | Deploy through ActiveX on a webpage | Deploy through Group Policy


Deploy through Group Policy

Deploying the Screwdrivers client through Group Policy is the preferred deployment method when all client workstations exist in the same domain. When an application is installed through Group Policy, it is installed as the SYSTEM account, giving the installer administrative rights on that workstation to install the software. Below are the steps to configure the Screwdrivers client deployment in Group Policy:

1. Download the client MSI package you need from the deployment page and save it to a network share (\\server\SDClient for example)

2. Create a new group policy object and click edit

3. Create a new software installation under user configuration. Select the Screwdrivers MSI you want to deploy to your users from the network share.

4. Select the deployment method as 'Assigned'

5. Your users should now have the Screwdrivers client installed the next time they login to their workstation.

See Also

Group Policy FAQ (Microsoft TechNet)

Simplify Printing: Deploy the ScrewDrivers Client


Deploy through a link on a webpage

Deploying the Screwdrivers client through a link on a website is the easiest option for the administrator to setup, but it does require some client interaction. Since the Screwdrivers client install is simple and the only option available for a user to change is for the install path, there is no reason why a user cannot complete the client install. Still, some environments require no user interaction during the install, and should use an ActiveX control on the website instead.

After downloading the client MSI from the deployment page, the web administrator will need to place a link to the file on the webpage. Below is an example html line to link to the Screwdrivers client file:

<A title="Download Screwdrivers client" href="client.msi">Download the Screwdrivers client here

See Also

Simplify Printing: Deploy the ScrewDrivers Client


Deploy through ActiveX on a webpage

To deploy the Screwdrivers client through an ActiveX control on a webpage, you will need to add a few lines to the html page you want your users to go to in order to install the client. Here is the OBJECT definition to add to your html file, remember to replace the filename.cab with the file you download:

<OBJECT ID="Screwdrivers v4 Client" CLASSID="clsid:050A3800-6C03-48a5-A6D7-14CCF18A700D"
CODEBASE="filename.cab#version=-1,-1,-1,-1">
</OBJECT>

When a user logs in to the webpage, they will be prompted with the following dialog:

Clicking on this dialog and selecting 'Install ActiveX Control' will silently install the Screwdrivers client for the user.

See Also

HTML OBJECT Tag Information

Simplify Printing: Deploy the ScrewDrivers Client


How to uninstall ScrewDrivers Server v4

1) The recommended way to remove ScrewDrivers Server v4 is with Add or Remove Programs. ScrewDrivers should be uninstalled when there are no remote connections using ScrewDrivers.

2) In Add or Remove Programs, select ScrewDrivers Server v4 and click Remove.

3) Click Yes to confirm the removal of ScrewDrivers.

4) If prompted with the following error, then the ScrewDrivers driver was not removed because a printer is using the driver. You can ignore this if you plan to reinstall ScrewDrivers at a later time. However, if you need ScrewDrivers fully removed then refer to the ScrewDrivers manual uninstall directions, or use Microsoft's cleanspool utility.

5) In some versions the control panel icon for ScrewDrivers does not get removed during uninstall. To manually remove this file, delete sd4server.cpl from Windows\System32.


Manual Uninstall of ScrewDrivers Server v4 x64

Add/remove programs. Select ScrewDrivers Server v4. Perform a custom un-install and select all for all windows, if you can…

Files:
1. Delete Program Files\triCerat
2. Delete system32\spool\drivers\x64\sd4drv.dll
3. Delete system32\spool\drivers\x64\sd4ui.dll
4. Delete system32\spool\drivers\x64\3\sd4drv.dll
5. Delete system32\spool\drivers\x64\3\sd4ui.dll
6. Delete sd4notify.dll from system32
7. Delete sd4pICA6.dll from system32
8. Delete sd4pRDP5.dll from system32
9. Delete sd4server.cpl from system32
10. Delete sd4pTCP.dll from system32
Note: Rename any files you cannot delete.

Registry Entries:
1. Delete HKLM\Software\triCerat
2. Delete HKLM\SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x64\Drivers\Version-3\ScrewDriver4
3. Delete HKLM\SYSTEM\CurrentControlSet\Control\Print\Monitors\SD4PICA6
4. Delete HKLM\SYSTEM\CurrentControlSet\Control\Print\Monitors\SD4PRDP5
5. Delete HKLM\SYSTEM\CurrentControlSet\Control\Print\Monitors\SD4PTCP
6. Delete HKLM\SYSTEM\CurrentControlSet\Control\Terminal Server\AddIns\sd4monitor
7. Delete HKLM\SYSTEM\ControlSet001\Control\Terminal Server\AddIns\sd4monitor
8. Delete HKLM\SYSTEM\ControlSet003\Control\Terminal Server\AddIns\sd4monitor
9. Delete HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ScrewDrivers Server v4

REBOOT


Manual Uninstall of SDv4 Server x86

Add/Remove Programs. Select ScrewDrivers Server v4. Perform a custom un-install and select all for all windows, if you can…

Files:
1. Delete Program Files\triCerat
2. Delete system32\spool\drivers\w32x86\sd4drv.dll
3. Delete system32\spool\drivers\w32x86\sd4ui.dll
4. Delete system32\spool\drivers\w32x86\3\sd4drv.dll
5. Delete system32\spool\drivers\w32x86\3\sd4ui.dll
6. Delete sd4notify.dll from system32
7. Delete sd4pICA6.dll from system32
8. Delete sd4pRDP5.dll from system32
9. Delete sd4server.cpl from system32
10. Delete sd4pTCP.dll from system32
Note: Rename any files you cannot delete.

Registry Entries:
1. Delete HKLM\Software\triCerat
2. Delete HKLM\SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-3\ScrewDriver4
3. Delete HKLM\SYSTEM\CurrentControlSet\Control\Print\Monitors\SD4PICA6
4. Delete HKLM\SYSTEM\CurrentControlSet\Control\Print\Monitors\SD4PRDP5
5. Delete HKLM\SYSTEM\CurrentControlSet\Control\Print\Monitors\SD4PTCP
6. Delete HKLM\SYSTEM\CurrentControlSet\Control\Terminal Server\AddIns\sd4monitor
7. Delete HKLM\SYSTEM\ControlSet001\Control\Terminal Server\AddIns\sd4monitor
8. Delete HKLM\SYSTEM\ControlSet003\Control\Terminal Server\AddIns\sd4monitor
9. Delete HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\ScrewDrivers Server v4

REBOOT


Manual Uninstall of ScrewDrivers Client v4

Manual Uninstall of the ScrewDrivers v4 Client

1. Uninstall the product from Add/Remove Programs
2. Delete the C:\Program Files\triCerat folder
3. Delete the triCerat key from HKEY_LOCAL_MACHINE\Software
4. Delete the triCerat key from the HKEY_CURRENT_USER\Software
5. Delete the sdclient.cpl if the un-install didn’t remove it.
6. Reboot the client machine
7. Reinstall the software.


How to customize the ICA Client MSI

NOTE: Customizing the Citrix & ScrewDrivers Combination MSI is the same process as customizing the Citrix MSI. However, both combo MSIs have the same source MSI (ica32pkg.msi)... it is necessary to rename the MSI to the original name (ica32pkg.msi) before the Administrative Install. You can rename the output MSI anything.

1. Download the Citrix v10.x MSI Package & ScrewDrivers Client v4.x Combination MSI from Section 2 of the triCerat client deployment web site. This is the full Program Neighborhood Client. You can use the Section 5 instead if you wanted.

http://www.tricerat.com/sdclient?q=v4push#section2

2. Rename the downloaded MSI to ica32pkg.msi.

3. Open a command prompt and go to the directory where the ICA/SD Client was downloaded. Run the following command:

msiexec /a ica32pkg.msi

4. Select the language to use during installation.

5. Select Next to begin the ICA Client Packager Setup.

6. This will bring up the Citrix Client Package Setup. You will now want to select the directory to uncompress the MSI files to. This directory needs to be different than the original MSI directory. The following radio button should be selected under Create a Windows Installer Package that is Single Windows Installer file.

7. Accept the Citrix license agreement and press Next.

8. Customize the features as needed. In this example PNA and PN have been removed. This would be appropriate for Citrix Web Client users accessing ICA applications through the web interface.

9. Select the Client Name and press Next. Typically the machine name is used for the client name. For example if a workstation named SDCLIENT connects to a Citrix server with drive mappings, then the drives would map as C, D, E, etc on SDCLIENT, and ScrewDrivers printers will use SDCLIENT for MACHINE in the printer name.

10. Select whether to use the local client's credentials to authenticate on the Citrix server. Only select yes if the domain & account on the client are the same. This would not be appropriate for users connecting from personal PCs.

11. Select the Upgrade Settings and Next.

12. Customize the Client Dialog Boxes to display and press Next. In this example only Splash Screen, Progress, and Finish display for the user... this makes the installer completely pre-configured as the user cannot specify any settings.

13. Review the Client Packager Installation Summary and press Next.

14. Allow the Citrix Client finish compiling the selected settings. Click Finish to exit the setup. Be sure to not use the source MSI as this file is unchanged, the finalized MSI is in the location you've specified in Step 6. Please be sure to test the client before deploying it. It maybe necessary to rename the installer to ica32web.msi to utilize with the Citrix Web Interface client deployment feature. If you cannot get this to work then contact Citrix support... please do not contact triCerat to customize the ICA clients.


ScrewDrivers for SSL VPN with RDP

ScrewDrivers for SSL VPN w/RDP

For SSL VPN devices such as SonicWall, StoneWare, Juniper, F5 Firepass, etc, these appliances must be configured properly to enable third-party plugin DLLs. For ScrewDrivers, there are two requirements to use these devices:

1. Clients must use the RDP ActiveX client (Terminal Services Advanced Client TSAC)

2. The appliance must be configured to enable the ScrewDrivers plugin DLL, sdrdp5.dll.

Most SSL VPN devices automatically publish an RDP clients that do not support all 3rd-party DLLs. Java clients are an example of RDP clients with limited support of 3rd-party DLLs.

Note: Please contact the vendor to verify that the appliance is properly configured to support 3rd-party DLLs for MSTSC

Example for SonicWall SSL VPN:

Follow the directions on page 171 of this manual: http://www.sonicwall.com/downloads/SSL_VPN_3.0_Admin_Guide.pdf

As stated above, you must select RDP5 - ActiveX and enter sdrdp5.dll after enabling plugin DLLs.


Repacking the ICA Client for Citrix Web Interface

Repackaging the Citrix Web Client/ScrewDrivers Client Combination Client to Disable Hotkeys

1. Download the Citrix v10.x MSI Package & ScrewDrivers Client v4.x Combination MSI from Section 2 of the triCerat client deployment web site. This is the full Program Neighborhood Client. You can use the Section 5 instead if you wanted.

http://www.tricerat.com/sdclient?q=v4push#section2

2. Rename the downloaded MSI to ica32pkg.msi.

3. Open a command prompt and go to the directory where the ICA/SD Client was downloaded. Run the following command:

msiexec /a ica32pkg.msi

4. This will bring up the Citrix Client Package Setup. You will now want to select the directory to uncompress the MSI files to. This directory needs to be different than the original MSI directory. The following radio button should be selected under Create a Windows Installer Package that is Uncompressed - all source files are copied to the directory.

5. When you reach the Select the client or clients you want to install screen, use the dropdown boxes to select the desired clients to install.

6. Select the Citrix login option.

7. Select Use Local Name and Password if the same credentials are used on the local machine as the Citrix server. If this is the case then the user does not need to enter credentials to launch apps from the Citrix PN and PNA.

8. For Upgrade Settings it is best to select Allow Upgrade if package is newer than existing version.

9. Select User Dialog Boxes is preferred but generally the following options are selected to cutdown on user interaction during installation:

10. Next through to uncompress the ICA install.

11. Now you may modify files as needed. In this example we are disabling ICA hotkeys so the same hotkey combinations can be used for a specific application shortcut. To do this, open appserv.ini within the uncompress ICA client directory, specifically Citrix\Application\ICA Client.

12. Open appserv.ini and make the appropriate edits:

13. Open a command prompt and execute msiexec /a ica32pkg.msi on the newly created uncompressed MSI:

14. Once again you want to specify a directory different from the sources. This time select Create a Windows Installer package that is a Single Windows Installer file.

15. The remaining opptions should be set exactly the same as before.

16. To use this file with the Web Interface, rename the MSI to ica32web.msi.

See Also

Simplify Printing: Deploy the ScrewDrivers Client


Disable Windows or Citrix Printers

Disabling Windows or Citrix printers from building will prevent your users from seeing duplicate printers (those built by ScrewDrivers and those build by Windows/Citrix).

Go to Administrative Tools->Terminal Services Configuration. Double click on RDP-Tcp (or ICA-Tcp for Citrix) and go to the Client Settings tab. Uncheck the following boxes:

  • Use connection settings from user settings

  • Connect client printers at logon

  • Default to main client printer

You can check or uncheck the ‘Connect client drives at logon’, that will not affect printing. You will also need to check the box under ‘Disable the following’ that says ‘Windows printer mapping’. Now apply the settings and you can close the Terminal Services Configuration.


Disable Windows Remote Printing from Active Directory

Remote Printing can be controlled by the client, server, and Active Directory. In this exercise Windows remote printing will be disabled through Active Directory. Through AD, the administrator can specify the redirection of client devices (drives and printers) at the user-level.

In Active Directory open any user object's properties, navigate to Environment tab, and check the Client devices options. To disable RDP printer mapping uncheck Connect client printers at logons and Default to main client printer, as shown below.


How to repair ScrewDrivers Server v4

1) To repair ScrewDrivers Server v4, run the same installer used to install ScrewDrivers. In certain situations you can repair ScrewDrivers from Add or Remove Programs in the Control Panel.

2) In the ScrewDrivers Server v4 - InstallShield Wizard, click Next to continue.

3) Select Repair and click Next to repair ScrewDrivers. The Modify feature has no options, as there are no features that can be added or removed from the install.

4) Click Install to begin the installation to repair ScrewDrivers.

5) Click Finish to finalize the repair of ScrewDrivers.

6) It is common to be prompted for a reboot. If prompted, then reboot the server promptly to fully complete the repair.

7) If you continue to experience the same problems after the repair the execute the following three EXEs. For Windows 2008 Server, these files should be executed with Run As Administrator.

8) If those have not resolved the ScrewDrivers Server then please try a manual Uninstall and Reinstall of ScrewDrivers.


How does ScrewDrivers improve my printing speed?

ScrewDrivers performs two functions to improve printing speed. First, it compresses the printjob when sending from the server to the client. The exact amount of compression varies depending upon the content of the printjob (such as images vs. plain text). In general, the compression of a printjob by ScrewDrivers can be compared with that of a zipped file.

The second way ScrewDrivers improves printing speed is through the use of page streaming. Instead of sending an entire spool file down to the client machine, the printjob is broken into pages and sent one page at a time. Each page is compressed individually before being sent.


How do I use print-as-image?

Print-As-Image

Print-As-Image is a workaround print function for ScrewDrivers that converts the entire print job into Bitmaps, which are sent through the ScrewDrivers virtual channel to the client, and printed locally. This workaround will use more bandwidth but guarantees that images, font, and scaling are properly set.

Note: If you need Print-As-Image to get correct output, then try upgrading the local print driver on the client to the latest (PCL > PS), and perform a Query in ScrewDrivers and test again. Get in contact with triCerat Support if you want to troubleshoot this further.

To enable Print-As-Image mid-session follow these directions:

1) Generate a print dialogue in an application (click Print). Select the correct ScrewDrivers printer and click Preferences

2) In Printer Preferences, go to the Extended Options tab...

3) Enable Send Print Job as image and pess OK.

To set Print-As-Image as default for a printer:

1) Before connecting to the terminal server, navigate to the control panel and open ScrewDrivers Client v4. Select the Printer UI - Extended tab. In the Available Printers window, scroll down and select the printer you want use Print-As-Image. Enable Print-As-Image and select the appropriate DPI. Less DPI will proportionally use less bandwidth and degrade quality.


Why are users seeing duplicate printers?

It is possible for users to see duplicate printers if auto-creation is still enabled through Citrix (ICA Protocol), or the Terminal Services (RDP Protocol). Auto-creation is turned on by default, and it is not uncommon to have both methods working during a migration to the ScrewDrivers product. Once ScrewDrivers is installed on the terminal server(s) and the client has been deployed, it is recommended that auto-creation be deactivated. By deactivating, users will not become confused over which printer to select. In addition, any of the known issues associated with auto-creation (driver problems, print output problems, etc.) will no longer be a problem with the terminal server(s).


How do I handle advanced printing functions like stapling, hole punching, and watermarks?

Certain drivers are not coded in using the Windows API standards. Options like this are unfortunately not standard functions for every print driver. For this reason, Screwdrivers cannot gather information on these advanced features through our printer query process. In order to utilize advanced features like stapling and hole punching, a Screwdrivers feature called 'second print dialog' must be used. This process will display the normal printing dialog to the user during their terminal session. Once the print job is spooled on the server and sent down to the client, then another print dialog is displayed for the user using the locally installed driver on their workstation. Using the locally installed driver, the user has access to the advanced printing features for this print job.

To turn on a second print dialog, first the user must go to printing preferences for the printer they are using:

Then, under the Extended Options tab, check the option for 'Display a second print dialog on the local client machine':

Now the user can select ok and any print job that uses this printer will display a second print dialog when the print job reaches the client machine.

The procedure above allows the user to select the second dialogue only when needed for specific printjobs. It is also possible to have the second dialogue enabled permanently for all printjobs regardless of application or printer. To enable this, the configuration settings for the ScrewDrivers object will need to be edited. Under the 'Printers UI' tab, check the box on the page called ‘Second Print Dialog’. At this point, there are three options available for configuration:

1. Deny: User cannot access the second print dialogue.

2. Force: A second print dialog will be displayed for every print job and cannot be turned off by the user.

3. Suggest: By default, the user will receive a second print dialogue, however, by going to the printer properties, the second print dialog can be turned off.


Why are users seeing other users' printers?

This behavior is not controlled by the ScrewDrivers product. In fact, the behavior would occur without our product installed. It can also be seen with auto-created printers from RDP or ICA. There are a few possible conditions that will cause this problem.

The most common cause of this behavior is elevated privileges. There are three groups of users that have the ability to see all printers. They are Administrators, Power Users, and Printer Operators. If, for example, an application requires elevated privileges to run correctly on the terminal server, users would see all printers through that application, as well as other applications.

Other possibilities include situations specific to the applications themselves.
The first is a security hole problem. For example, Microsoft Excel versions 97, 2000, and 2002 have a known bug whereby regular users can see all printers in a terminal services session. There are hotfixes available from Microsoft for the 2000 and 2002 versions. I've also confirmed reports of Lotus Notes r5 and r6 clients exhibiting the same problem.

Another type of application issue occurs when the application in use was not designed to handle the multi-user environment of terminal services. For example, say an application that would traditionally run on a client machine pulls available printers from the HKEY_Local_Machine\SYSTEM\CurrentControlSet\Control\Print\Printers location or some other location. On a client machine, this is fine as the app will only see the printers installed on that box. However, on a terminal server, this presents a problem because the printers for all users logged in at that time are stored in that location. So, all printers are available to each user logged in for the application in question.

Try printing from an application that is known NOT to exhibit the behavior. For example, Wordpad, Notepad, or Microsoft Word. If the behavior still occurs within one of those applications, the problem will fall back to elevated permissions. If the behavior does not occur within one of those applications, the problem is rooted to the other 3rd party or custom application in regard to how it gathers printer information.


RDP Client Troubleshooting

Workstation Registry

The most common issue with Screwdrivers over RDP is when the Screwdrivers client is installed on the workstation as one user, but then another user logs in to the local workstation to then login to a terminal session. During the Screwdrivers client install, an edit is made under the HKEY_CURRENT_USER hive for that user. The issue comes up in that only the user that is currently logged in during the install gets this registry edit, but all other local users do not, therefore not building printers through Screwdrivers when they login to a terminal session.

To get around this issue, the easiest solution is to run this file on the local system:

C:\Program Files\triCerat\Simplify Printing\Screwdrivers Client v4\install_rdp.exe.

Running this file will not show anything on the screen, but will add the registry edits required for the RDP client to reference the Screwdrivers client. The information added to the registry is below:

[HKEY_CURRENT_USER\Software\Microsoft\Terminal Server Client\Default\AddIns\SDFXP]
"Name"="sdrdp5.dll"
"REMOTECONTROLPERSISTENT"=dword:00000000

Screwdrivers Client Version

The next thing to check is the Screwdrivers client version, and make sure it is up to date. You can get the installed client version under the general tab in the Screwdrivers client control panel. Then, you can get the latest Screwdrivers client version from the Screwdrivers Client Download Page.

Screwdrivers Client Reinstall

The final troubleshooting step for RDP client issues is to reinstall the Screwdrivers client. To do this, first remove the current Screwdrivers install from Add/Remove Programs, restart the workstation, then install the latest Screwdrivers client again.

If you still experience issues with the Screwdrivers RDP client, please contact triCerat support.


ICA Client Troubleshooting

ICA Client Updates

Generally, the most common reason for Screwdrivers not building in an ICA session is that the ICA client has been updated, overwriting the reference to the Screwdrivers client. To resolve this issue, simply run the following file on the workstation:

C:\Program Files\triCerat\Simplify Printing\ScrewDrivers Client v4\install_ica.exe

The install_ica.exe file will add the references to Screwdrivers in the ICA client, so logging in through an ICA session should build Screwdrivers printers.

Screwdrivers Client Version

The next thing to check is the Screwdrivers client version, and make sure it is up to date. You can get the installed client version under the general tab in the Screwdrivers client control panel. Then, you can get the latest Screwdrivers client version from the Screwdrivers Client Download Page.

Screwdrivers Client Reinstall

The final troubleshooting step for RDP client issues is to reinstall the Screwdrivers client. To do this, first remove the current Screwdrivers install from Add/Remove Programs, restart the workstation, then install the latest Screwdrivers client again.

ICA Client With ScrewDrivers

There are times when the ICA and SD clients are properly installed, but the two versions are incompatible. You can always download and install these components together. Section 2 and Section 5 downloads on this page contain ICA and SD bundled: http://www.tricerat.com/sdclient?q=v4push

If you still experience issues with the Screwdrivers ICA client, please contact triCerat support.


ICA Client Does Not Build Printers

What type of installation does the client have?

Full Program Neighborhood Client (path= C:\Program Files\Citrix\ICA Client)
Web Client (path= C:\Program Files\Citrix\icaweb32)
Program Neighborhood Agent (path= C:\Program Files\Citrix\PN Agent
Look for the "module.ini" file. Then edit it.

1. Do a find on "ScrewDrivers".
//Find the section [ICA 3.0] -- At the end of the VitualDriver key a "ScrewDriversFXP" entry should exist as follows:
VitualDriver=(existing entries), ScrewDriversFXP
//Find the section [VirtualDriver] -- You should see a key with no value as follows: ScrewDriversFXP=
-- At the end of the entire file you see the following entries: [ScrewDriversFXP] DriverNameWin32=sdica6.dll

2. Open "Windows Explorer" and check for the existence of the ScrewDriver ICA DLL file (sdica6.dll).
Again, it may exist in any one of the three possible Citrix Client directories located above.

3. Verify there are no client printer drivers that ScrewDrivers is having trouble querying.

• Check the client side ScrewDriver Control Panel Applet Setup
o Open the ScrewDrivers Control Panel Applet on the local client machine
o Click the “Printers” tab
o Move any printer that will not be used in the terminal session to the “Denied” list along with any Fax printer.
o Click “Apply”
o Click “Query Printers” You should get a “Query Success” message. If the printer list seems to hang the last printer in the list is the problem printer. Move it to the denied list and repeat query process.
o Close the query box.
o Click “OK” to close the control panel applet.
o Have the client log into a terminal session.

If your missing the ScrewDrivers edits basically just copy the file from a working workstation and paste to the troubled workstation, or you can manually uninstall the product and reinstall. The procedure for a manual uninstall is below.

Manual Uninstall of the ScrewDrivers v4 Client

1. Uninstall the product from Add/Remove Programs
2. Delete the C:\Program Files\triCerat folder
3. Delete the triCerat folder from HKEY_LOCAL_MACHINE\Software
4. Delete the triCerat folder from the HKEY_CURRENT_USER\Software
5. Delete the sdclient.cpl if the un-install didn’t remove it.
6. Reboot the client machine
7. Reinstall the software.


Some print jobs are formatted incorrectly

This is most likely caused by a print driver problem. It is recommended that you replace the current print driver with a different one for that same model. Upgrading to the most recent driver should be first thing to try, then if that does not work, then try another driver for that printer. For example, if you have an HP Laserjet 4000 PCL6, then try to remove that driver and instead use HP Laserjet 4000 PCL5 or PCL5e. After changing the printer driver, be sure to re-query the printer cache.

Another solution is the print-as-image option. Go to the printing preferences of the ScrewDrivers printer you are using (The printing preferences button can be found in the printer properties) and click the 'extended settings' tab. The first checkbox here is to 'Send print job as an image, with the following DPI'. Check this box and try the print job again. By changing this setting in a session, the printing preferences will be reset back to default on the next session.

If the print-as-image option needs to be set for all users, there is a setting in the Suite to force all ScrewDrivers printers to have this option on by default. In the ScrewDrivers object settings in the console, go to the 'Printer UI' tab and check 'print-as-image' under Extended Options. You will also need to select either force or suggest for this option. 'Forcing' will not allow the option to be unchecked by a user, while 'suggest' will set the option as default for every printer but can be unchecked.

If printing the job as an image does not work, the 'pre-render all text' option should be tried next.

If this does not fix the printout, then please contact triCerat support.


The default printer is not setting correctly for some users

The first thing to do in this case is to disable windows printer mapping. After that, if the problem still persists, you should see if multiple users are using the same username or if the user is logging in on different client computers while they are still logged in to their original session.

The problem with this comes from the fact that Windows printer information is stored in the HKEY_CURRENT_USER hive. Since the user is logging in with the same username from a few different locations, they are all modifying the CURRENT_USER hive. Since there can only been one default printer, any session besides the most recent session will not have their printers setup as they would expect.


Printers Do Not Build for Everyone

Server Side – Issues exist where all users are having no printers building.

Navigate to: C:\Program Files\triCerat\Simplify Printing\ScrewDrivers Server v4

Run these executables:
• Install_port.exe – installs the port monitor. You should get a message that states ”Port monitor already exists”.
• Install_driver.exe – installs the drivers.
• Setsec_server.exe – sets the users permissions to the spooler on the server side. Basically your users will print but the jobs will not print from the server. Windows updates will sometimes reset this permission.

Verify ScrewDrivers

If users are unable to print then you can try restarting the Windows Print Spooler service. This will reload the printer settings on the server. In some cases this will resolve printing issues. This is typically recommended only if the server is out of production, but if all users cannot print on the server, then this will have no adverse effect. Occassionally documents can look up the spooler, for this reason it would be best to delete all files in System32\Spooler\Printers\ when the service is disabled.


Print output is squished into a corner of the page

This problem has been known to occur on various models from the ImageClass series.

The output problem is occurring because of a scaling issue within the Canon ImageClass printer driver (This has been acknowledged by Canon themselves. Please see their support documentation for the ImageClass series). Since ScrewDrivers inherits the characteristics of the driver in question, we unfortunately build the virtual printer with this issue. We have found a suitable work-around for the issue by modifying an option within the driver.

By accessing the properties of the printer driver on the client workstation, you will be able turn on the option for "Manual Scaling" and set it to 100%. The location of the option varies somewhat depending upon what version of driver is in use. Try looking under the "Printing Preferences" or the "Advanced Section".

Once the option is set, the printout will come out as expected.


Some printers do not delete when the user logs off

Here are some suggestions to solve some printing problems. These should be performed while no one is logged into the terminal server to avoid any problems:

1. Go to Control Panel->Administrative Tools->Services.
2. Stop the 'Print Spooler' service.
3. Remove any files in Windows\system32\spool\printers.
4. Start the 'Print Spooler' service.
5. Delete any printers under 'Printers and Faxes' on the server that are not printers installed directly on the server.

If clearing the spool directory does not help, be sure that there are no auto-created printers causing confusion with the users. Here is the method to turn off auto-created printers (so only ScrewDrivers printers are being created). Before performing this, verify that no users are using the auto-created printers:

1. Go to Control Panel->Administrative Tools->Terminal Services Configuration.
2. Double Click on RDP-Tcp or ICA-Tcp, depending on what protocol you use.
3. Go to the client settings tab and uncheck the following boxes:
a. Use connection settings from user settings.
b. Connect client printers at logon.
c. Default to main client printer.
4. At the bottom of that window, check the box that says 'Windows printer mapping'.
5. Hit ok and close the Terminal Services Configuration.

Try to log a session in to see if that fixes your problem. If it does not, contact triCerat support.


Empty Index Entry

Empty Index Entry

The index entry you selected has no target topics associated with it.

If you have chosen a parent entry, please select a child entry.


Topic Not Found

Topic Not Found

The link you just clicked was not able to connect to the target page.

Some possible reasons and remedies are as follows:

Reason | Remedy
Destination topic is not part of the area you specified in the Filtered by field. | Either select another filter or select (no filter).
The URL of the destination topic is incorrect or has changed. | Use the index or the search function instead.
Problems with the help installation. | Rerun Setup for the product this help is related to and select the 'Repair' option.

Additional help is available for filters, search, and the index.

Click Back to return to the page you were on.

The target parameters are:

Keyword:
Index Moniker:
URL:


Client-side Troubleshooting

If the RDP (Windows Terminal Server) protocol is being used, refer to the RDP troubleshooting section.

If the ICA (Citrix) protocol is being used, refer to the ICA troubleshooting section.


Coverpage - Screw Driversv 4

ScrewDrivers v4 - Help


Glossary

A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z


Microsoft Authorization Manager Overview

Microsoft has placed on emphasis on role-based security in their .NET framework, and one of the new security features in Windows Server 2003 is the ability to implement role-based administration through the Authorization Manager MMC snap-in.

Two important elements of network security are authentication (confirming the identity of a user or machine) and authorization (determining the level of access to be granted). Role-based security, at its simplest, merely refers to a type of authorization process that allows a user (or computer) to access some resources and not others, and/or to perform specific tasks, based on his/her/its “role” – for example, the user’s job title or position in the organization. Of course, this has been possible in Windows since the advent of Windows NT, through the use of built-in and custom-created security groups. Members of the Administrators group will have full system access, while members of the Users group will have much more limited access.

What’s different for software developers using the .NET framework (as opposed to COM+) and administrators using Windows Server 2003 (as opposed to NT/2000) is that Windows accounts are no longer the only way to define roles. The new implementation of role-based administration and security relies on the concepts of principals and identities. In this two-part article, we will discuss these concepts and show you how to use the Server 2003 Authorization Manager console to create role assignments. In Part One, we discuss the concepts and terminology and show you how to open the Authorization Manager tool, what it does, and how to create application groups.

First Things First: Concepts and Terminology

There are actually two types of roles that can be managed in the Microsoft role-based security model, authorization roles and computer configuration roles. Authorization roles are based on users’ jobs or positions and the tasks that need to be performed in those positions. Computer configuration roles are based what the computer is used for, e.g. web server, file server, remote access server, domain controller, etc. We will be discussing here how to manage authorization roles, so we will be talking about users rather than computers.

When we refer to identities, we mean information about authenticated users that includes the user name and the authentication type. Principals contain user identities as well as the user’s roles (thus from a developer’s point of view, these are nested objects, with the identity object nested inside the principal object.

The principal/identity object pair can either be based on Windows domain accounts, or on simple user names (with passwords) that are not related to the Windows domain.

Overview of the Authorization Manager Tool

The Authorization Manager can be used to set or change permissions and configurations at a high level, including making several changes simultaneously. It performs some of the same functions as other familiar tools, such as the ACL Editor and Delegation of Control Wizard (for user roles) and the Configure Your Server Wizard (for computer roles). However, Authorization Manager gives you more control and lets you go farther than these tools.

You can create a custom MMC and add the Authorization Manager snap-in, or you can open the predefined Authorization Manager console by typing azman.msc at the command prompt or Run box. The first time you open it, you’ll see the message shown in Figure A, advising you that no authorization stores have been selected.

Figure A

There are two modes in which Authorization Manager can run: developer mode or administrator mode. To create a new authorization store, you must put the Authorization Manager into developer mode (it starts in administrator mode by default). To do this, click the Action menu (or right click Authorization Manager in the left console pane) and select Options. Choose Developer Mode from the dialog box, shown in Figure B.

Figure B

Once you’re in developer mode, you’ll find that the choice New Authorization Store appears on the Action menu, as shown in Figure C. Click it.

Figure C

You can select one of two types of authorization stores:

• An authorization store (AS) stored in Active Directory. This requires a domain operating at the Windows Server 2003 functional level (note that the default functional level for a Windows Server 2003 domain is Windows 2000 Mixed. In order to raise the functional level to Windows Server 2003, all domain controllers in the domain must be running Windows Server 2003. If you select to store the AS in Active Directory, you’ll need to designate the store name by its LDAP distinguished name, as shown in Figure D.

• An authorization store stored in an XML file. If your domain must operate at a lower functional level (that is, if you have NT and/or Windows 2000 domain controllers), you’ll need to select this option. If you select to store the AS in an XML file, you’ll need to designate its location in the computer’s directory structure by its path (e.g., c:\Documents and Settings\Administrator\AuthStore1.xml). An XML store must be located on an NTFS partition.

Figure D

NOTE: To raise the domain functional level, open Active Directory Domains and Trusts, right click the domain name and select Raise Domain Functional Level. Then choose Windows .NET Server 2003. You must be a Domain Admin or Enterprise Admin (or have been delegated the authority) to do this.

If you create a new Authorization Store, you’ll also have to create or specify an application to use the store. To do this, select Action | New Application (still in developer’s mode). Roles that you define with Authorization Manager are specific to an application.

Application Groups

Although Windows group accounts (and user and computer accounts) are used in Authorization Manager, there is also a new type of group specific to Authorization Manager: application groups. This is a group of users, the members of which will receive the authorization policy defined for the particular application.

An Authorization store contains one or more applications under it, and each application contains one or more stores under it. Groups can be defined at any of these three levels: at the authorization store, at an application, or at a scope.

When you open an Authorization Store, you’ll see a folder named Groups under the store name (and in the right console pane). You can create a new application group by right clicking the folder and selecting New Application Group…, as shown in Figure E.

Figure E

You’ll be asked to type in a group name and description and to define whether the group will be a basic or an LDAP query group, as shown in Figure F.

Figure F

A basic group is made up of Windows user and group accounts, and/or other application groups. An LDAP query group’s membership can be dynamically calculated based on LDAP queries.

The new group will now appear in the right console pane when you click the Groups folder. Now you can define the members and non-members of this application group. Right click the group name in the right console pane, and select Properties. This opens the dialog box shown in Figure G.

Figure G

You can add other application groups to the group, or you can add Windows user or group accounts to it. Non-members are defined in the same way. If the same user is defined on both tabs (as both a member and a non-member), that user will be considered a non-member.

NOTE: You can delegate the administration of an Active Directory authorization store and its applications to any user by adding the Windows account in the Properties sheet of the store, on the Security tab. You can’t delegate administration for a store that’s stored in an XML file.

Summary

Next, in Part Two of this article, we will discuss how to create role assignments within an application, how to configure role definitions, and how to create and work with scopes.

Part 2

In Part 1 of this article, we discussed Microsoft’s new emphasis on role-based security and provided an overview of the concepts involved in using the Authorization Manager MMC snap-in. In Part 2, we’ll discuss how to configure role and task definitions, how to create role assignments within an application, and how to create and work with scopes. You’ll also learn about authorization rules.

Defining Roles, Tasks and Operations

In the context of Authorization Manager, a role is defined by the permissions that are user requires to perform the tasks related to his/her job. You will generally have a number of people within an organization that perform the same tasks and thus need the same permissions (for example, receptionists). Tasks are specific operations or groups of operations performed on the computer or network (for example, change password). Roles, tasks and operations are defined in Authorization Manager’s developer mode.

NOTE: To put the Authorization Manager MMC into developer mode, first open the tool by typing azman.msc in the Run box. Then right click Authorization Manager in the left pane of the console, click Options, and select Developer mode in the dialog box. By default, Authorization Manager opens in Administrator mode.

To define a role, task or operation, in the left console pane of the MMC, Expand the Authorization Store, then expand the application for which you want to make definitions. Finally, expand the Definitions folder, and you will see three folders for each of the following:

• Role Definitions

• Task Definitions

• Operation Definitions

Right click the one for which you want to define a new definition and select the applicable New Definition option in the context menu. For example, as shown in Figure A, select New Role Definition to create a new role definition.

FIGURE A

The Role Definition dialog box will appear, and you will need to define a name for the role, a description (if desired) and lower level tasks, roles and operations that define the role.

Obviously, you will need to have defined tasks and operations before you can include them in a role, and you must define operations before you can include them in a task. So, despite the fact that they appear in the opposite order in the console, you must make your definitions in the following order:

1. Define operations

2. Define tasks

3. Define roles

The Role Definition dialog box is shown in Figure B.

FIGURE B

You can edit definitions by right clicking the definition name in the right console pane of the MMC and selecting Properties.

Creating Role Assignments

After you have defined roles, you can then create role assignments. This is a way of associating application groups (which we discussed in Part One of the article) or Windows users or groups with roles that you have defined.

To create role assignments, you must first add the role definitions you created previously. Right click Role Assignments in the left pane of the MMC, and select Assign Roles. In the Add Role dialog box, shown in Figure C, check the checkboxes for the roles you want to add.

FIGURE C

Click OK when you finish checking the boxes, and the role names will now appear under the Role Assignments folder in the left pane. To assign an application group or a Windows user or group to this role, right click the role name and select the appropriate Assign choice from the right context menu, as shown in Figure D.

FIGURE D

After you add the desired groups in the Add Groups dialog box, the members in that group will be associated with the role you have defined, and will be authorized to perform the tasks that are part of that role.

Using Scopes

Scopes are an optional component of Authorization Manager; they are created within applications to provide a way to prevent unwanted sharing of the different resources that are used by that application, and to support auditing and delegation.

To create a scope within an application, right click the application name in the left console pane and select New Scope. You’ll be asked to type a name and description. The name must be something that can be recognized and processed by the application. For example, if the application is file based, the scope name is based on the file path.

Authorization Rules

To automate the process of determining whether particular roles or tasks are allowed, you can use scripts within role and task definitions. These scripts can be written in VBScript or JScript, and are called authorization rules. This gives you tremendous control to define the conditions that must be met for authorization to occur. You can limit authorization to a specific time of day, for example, or base it on whether an expense limit has been met or the amount in a specified account balance.

You can add an Authorization script to a role or task definition during the creation process, or you can add one to an existing rule or definition by right clicking it, selecting Properties and selecting the Definition tab and the Authorization Script button. You’ll need to enter the script’s source code and path, and designate the script type (VBScript or Jscript).

There can be more than one rule associated with a role. If so, scripts will be run synchronously (each must finish running before the next starts).

NOTE: Authorization Manager is not used to write scripts. You can compose the scripts in a text editor such as NotePad or in another application. Developing scripts is a more of a programming function than an administrative one, so you’ll need programming skills and an understanding of authorization-related APIs.

Summary

This two-part article has provided a basic overview of how to use the Authorization Manager tool to implement role-based security on your Windows Server 2003 network. Role-based security. Role-based security allows you to provide users with the ability to perform the tasks that are associated with their roles (jobs) within the organization. Authorization Manager gives you a way to define tasks and roles very granularly, and assign users based on their Windows user or group accounts or their membership in your defined application groups.

See Also

Authorization Manager and Role-Based Administration in Windows Server 2003


Printers are not building for any user

Normally, when printers build into a user's session, they will show under the location above, as well as the system location under:
HKLM\System\CurrentControlSet\Control\Print\Printers

The system location is equivalent to what is seen in the regular printers folder in the terminal session, keeping in mind that a user will only see printers to which permissions have been given.

In a situation where printers are only displaying under the triCerat location, but not the system location, something has gone wrong with the ScrewDrivers server install or upgrade. To correct the problem, a clean install of the driver files will be needed.

Perform the following steps:

1. Go to C:\Windows or Winnt\system32\spool\drivers\w32x86\3
2. In that folder, rename the extensions of 'sd3drv.dll' and 'sd3ui.dll' to '.old'
3. Reboot the server
4. Delete the two '.old' files that were just renamed
5. Go to C:\triCerat\Simplify Printing\ScrewDrivers Server v3
6. Run (in this order): install_driver.exe, install_port.exe (you may get an error indicating the ports have already been installed, that is fine, just click 'OK'), setsec_server.exe

Your users should now be able to login to new sessions and see their printers.


Printers are not showing up for users

If only one or a few of your users are having the problem, please see the client-side troubleshooting section.

If all of your users are unable to build printers, please see the server-side troubleshooting section.


Glossary Item Box

Screwdrivers Send comments on this topic.


Server-side Troubleshooting

When all users logging in to a server do not build their Screwdrivers printers, there could be a few issues that are causing this. Before going through these steps, find out if the problems exist on only one server, a few servers, or all servers in your environment. Also find if the problem exists in a particular application, printer, or user account.

Assign Screwdrivers Object

First, make sure that you have assigned a Screwdrivers v4 configuration object to the group or users that should be able to use Screwdrivers. Without this, even users with the Screwdrivers client will not build any printers in their terminal session.

Licensing

The most common issue that may cause printers to stop building is a change in the licensing. Verify in the License Manager that the Simplify Printing or Simplify Suite license has been activated, and hit refresh to see if the machine ID has changed. If anything is not activated, you can reactivate the license through the triCerat Activate Page.

Other Steps

There could be a number of environmental issues that may affect Screwdrivers. You should verify that the print spooler service is running, and that there are no scripts or processes that may deny a user from building printers on the server. If you continue to experience issues, please contact triCerat Support.


a
about
after
against
all
along
also
although
am
among
an
and
are
as
at
be
became
because
been
being
between
but
by
can
caution
come
could
details
did
do
does
doing
done
during
each
early
far
finally
for
found
from
had
has
have
he
her
here
his
how
however
I
if
in
include
including
information
into
is
it
its
late
later
made
many
may
me
med
might
more
most
near
no
non
none
nor
not
note
of
off
on
only
or
other
over
saw
see
seen
several
she
since
so
some
such
than
that
the
their
them
then
there
these
they
this
those
through
tip
to
too
under
until
up
us
use
very
warning
was
we
were
when
where
which
while
who
with
you


Glossary Item Box

Screwdrivers Send comments on this topic.

Tools - Monitor

©2008. All Rights Reserved.


Glossary Item Box

Screwdrivers Send comments on this topic.

Tools - Profile Migration

©2008. All Rights Reserved.


Glossary Item Box

Screwdrivers Send comments on this topic.

Tools - RegDiff

©2008. All Rights Reserved.


Glossary Item Box

Screwdrivers Send comments on this topic.

Tools - triReg

©2008. All Rights Reserved.